Skip to content

Create Custom Template

POST
/api/v1/workflows/templates/custom
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/workflows/templates/custom \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "category": "operations", "description": "example", "name": "example", "schedule_cron": "example", "steps": [ {} ] }'

Create a custom workflow template (Enterprise only).

Builds a WorkflowTemplate and factory from the provided step definitions, stores them in the CustomTemplateStore.

Media typeapplication/json
CreateCustomTemplateRequest

Request body for creating a custom workflow template.

Attributes: name: Display name for the template. description: Human-readable description. category: Template category classification. steps: List of step definition dicts. schedule_cron: Optional default cron expression.

object
category
required
TemplateCategory

Classification of workflow template purpose.

string
Allowed values: operations finance strategy hr marketing
description
required
Description
string
name
required
Name
string
schedule_cron
Any of:
string
steps
required
Steps
Array<object>
object
key
additional properties
any

Successful Response

Media typeapplication/json
Response Create Custom Template Api V1 Workflows Templates Custom Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}